function ki=nincsnan(be)

L=length(be);
i=1; if isnan(be(1)), i=2; while isnan(be(i)), i=i+1; end; end; kezd=i;
i=L; if isnan(be(L)), i=L; while isnan(be(i)), i=i-1; end; end; veg=i;
ki=be(kezd:veg);
while sum(isnan(ki)), 
    hol=isnan(ki); honnan=circshift(hol,-1);
    ki(hol)=ki(honnan);
end;